#ifndef PROPERTY_EDITOR_H
#define PROPERTY_EDITOR_H

#include "ui_property_editor.h"

class QValidator;

class PropertyEditor : public UIPropertyEditor
{
  protected:
    GstElement *element;
    const char *property_name;

  public:
    PropertyEditor(QWidget *parent, GstElement *element, const char *property_name);
    ~PropertyEditor();

  protected:
    void accept();
    void setNumberValue(const QString &value, const QString &hint, QValidator *validator);
};

#endif
