#ifndef TAB_CODEC_CONFIG_H
#define TAB_CODEC_CONFIG_H

#include <gst/gst.h>

#include "ui_tab_codec_config.h"

class TabCodecConfig : public UITabCodecConfig
{
  public:
    TabCodecConfig(QWidget *parent=0, const char *name=0);
    ~TabCodecConfig();

    void findCodecs(const char *muxer, const char **types, const char *klass);
    GstElement *selectedCodec();

  protected:
    void codecSelected(QListBoxItem *codec);
    void editProperty(QListViewItem *property);

    void findCodecsForCap(const char *cap_name, const char **types, const char *klass);
    QString propertyValue(GstElement *element, const char *property_name);
};

#endif
