#ifndef DEVICE_SELECTION_H
#define DEVICE_SELECTION_H

#include "ui_device_selection.h"

// name+device
typedef QPair<QString,QString> DeviceDesc;

typedef QValueList<DeviceDesc> DeviceList;

class DeviceSelection : public UIDeviceSelection {
  public:
    DeviceList devices_list;
    bool manual_selection;
    
  public:
    DeviceSelection(QWidget *parent=0, const char *name=0);
    ~DeviceSelection();

    int exec();

  protected:
    void listSelection();
    void manualSelection();
    QString findVideoDevices(QString path, dev_t rdev);

};

#endif
