/*
   DVR, a Digital video Recorder for Linux.
   
   Copyright (C) 2001-2007 Pierre Hebert <pierrox@pierrox.net>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

 */

#include<qapp.h>
#include <qtranslator.h>
#include <qtextcodec.h> 

#include "dvr_control.h"

int main(int argc, char **argv) {
	
	QApplication a(argc,argv);
	QTranslator translator(0);
	translator.load(QString("dvr_")+QTextCodec::locale(), PREFIX"/share/dvr-"DVR_VERSION"/translations");
	a.installTranslator(&translator);
  
	DVRControl dvr_control;
	a.setMainWidget(&dvr_control);
	dvr_control.show();
	a.exec();

	return 0;
}
